ForoSUSE

ForoSUSE (http://www.forosuse.org/forosuse/index.php)
-   Hardware (http://www.forosuse.org/forosuse/forumdisplay.php?f=4)
-   -   Usuarios de gráfica NVIDIA, probar este script [NUEVO] (http://www.forosuse.org/forosuse/showthread.php?t=17830)

DiabloRojo 23-jul-2008 19:57

Usuarios de gráfica NVIDIA, probar este script [NUEVO]
 
2 Archivos Adjunto(s)
AVISO: Antes de utilizar este script, si eres novato o es tu 1ª vez con openSUSE, te aconsejo que utilices Yast->Software->Instalar.... para instalar el driver apropiado, pero antes activa en repositorio NVIDIA que esta en Yast->Software->Repositorios de la comunidad.

El objetivo de este script es que sea valido para cualquier distribución GNU/Linux, si aparece un error en la ejecución mándame un privado o un email a la dirección que aparece dentro de script.

A todos los poseedores de una tarjeta NVIDIA, podéis probar este script que adjunto, descomprimirlo, ejecutarlo como usuario habitual, copiar y pegar la salida y verificar si es correcta según los enlaces que os aparecen en la salida de la ayuda (opcion -h)

Código:

sh what-nvidia.sh -h

Acerca:
      what-nvidia comprobará si su sistema cumple todos los requisitos para
      instalar alguno de los drivers de nVIDIA.
      Visite http://www.nvidia.com/object/unix.html para mas información.

Uso:
      Ejecutar este script sin ningún argumento.

Argumentos disponibles:
  -d  o --download      Descarga el driver en el directorio activo.
  -f  o --force        Instalar el driver.
  -h  o --help          Lista de argumentos disponibles y en uso (este mensaje).
  -i  o --install      Instrucciones para la instalación del driver.
  -r  o --required      Lista de los requisitos mínimos de Software.
  -v  o --version      Versión para imprimir de what-nvidia en uso.

En mi caso, la salida es la siguiente y los datos que aparecen son correctos. Lo pongo como imagen para que veáis como queda la salida después de su ejecución.
Y verifico que las instrucciones de instalación son las correctas en mi caso para instalar dicho driver.

http://i38.tinypic.com/o0nec4.png


Y esta son las opciones disponibles:

http://i33.tinypic.com/2wdye0l.png


Y esta los requerimientos mínimos de Software.

http://i37.tinypic.com/2s1t8nq.png


Para instalar y configurar el driver, hay que ejecutarlo en la carpeta donde esta el script como superusuario root en una consola virtual (Crtl+Alt+F1), los comandos a teclear son los siguientes:
Cita:

init 3
sh what-nvidia.sh -f
init 5
Este script ha sido creado para la Web de http://www.forosuse.org por DiabloRojo y la licencia es GPL v.3.

¡AVISO!. Las tarjetas gráficas GeForce 5 series constituye una nueva versión de LEGACY en este caso es el 3 y cuya versión del driver que soporta es actualmente el 173.14.12 y no las versiones superiores. El script contempla dicho caso igual que los LEGACY 1 y 2.

Versión 0.0.9 a 06-06-2009. Cambiado el numero del driver, cambios menores y ahora detecta si el driver que esta instalado o no y la versión; sugerido por JoeTux. Gracias a JoeTux por las ideas anteriores.

Nuevo script de jcsl con un menú de instalación donde existe una opción muy interesante la "c". Mas información AQUI
Código:

Asistente para la instalación del controlador gráfico de NVIDIA v.0.1
======================================================================

d) Descargar el controlador
i) Instalar el controlador
c) Comprobar los requisitos mínimos para la instalación
h) Mostrar ayuda sobre la instalación
s) Mostrar información del sistema
t) Terminar

Elige una opción:


Kreed 23-jul-2008 23:23

Muchas gracias por el script DiabloRojo.
Me funciona muy bien y sin ningun problema incluyendo los modificadores que aparecen con la opcion -h :dedosarri

Gracias.

EduardLugo 31-jul-2008 17:15

Buenas soy nuevo en esto de Linux y me he tropesado con cosas q gracias al foro he podido resolver, espero esta no sea la excepcion y perdonen mi ignorancia....

1.- /Descargas/nVidia es un dir que creaste??
2.- Yo tengo una GeForce nVidia 6500 y con 10.3 me daba un mensaje diciendo que mi controladora de video no soportaba objetos o algo asi, el ingles y yo no vamos bien... 3D, podre arreglarlo con esto que posteas o necesito bajarme algun controlador extra de loa web nVidia??

Gracias por la ayuda que puedan prestarme y disculpen la novatada :S....

P.D: Pienso pasar a suse 11, dice que traen drivers mas actuales para controladoras de video... por favor orientenme.

DiabloRojo 31-jul-2008 17:16

1.- si
2.- prueba el script

JoeTux 31-jul-2008 23:50

Esta muy bueno el script, eso si que la fuente que tiene para obtener la ultima versión (http://us.download.nvidia.com/XFree86/Linux-x86$ARCH/latest.txt) arroja la 173.14.05, siendo que ya ha pasado a la 173.14.09 y ayer a la 173.14.12, no seria mejor obtener dicho dato de http://www.nvidia.com/object/unix.html que tu mismo sitas en el script???

Saludos

DiabloRojo 01-ago-2008 08:34

Gracias por el dato, correguire la errata y añadire la nueva version en el script. Todo esto lo hare esta tarde o fin de semana. :dedosarri

Los chicos de nvidia se les ha olvidado en actualizar el dato en el fichero latest.txt o ha dejado de hacerlo.

Todavia no se como leer un dato en concreto de una pagina html con el script. Si lo sabes, por favor, dimelo.

A los aforados, si alguien sabe como leer un dato de una fichero html que me lo diga, el ejemplo es esta pagina http://www.nvidia.com/object/unix.html
Y los datos a leer el contenido inferior de la correspondiente version "Linux IA32" y "Linux AMD64/EM64T"
Latest Version: 173.14.12

Un saludo.

JoeTux 01-ago-2008 17:07

Con grep puede ser, si me permites, yo haria el siguiente cambio en tu script:

# GeForce 5 series
VER_LEGACY_3=173.14.09
ARCHDRV="IA32<"
COL1="84"
COL2="92"

[ "$(uname -m)" = "x86_64" ] && ARCH="_64" && PKG=2 && ARCHDRV="AMD64/EM64T<" && COL1="92" && COL2="100"

VER_US="$(wget -qO- http://www.nvidia.com/object/unix.html | grep $ARCHDRV | cut -b$COL1-$COL2)"

Saludos

DiabloRojo 01-ago-2008 18:22

Gracias JoeTux, lo probare un rato para ver su funcinamiento, aunque ya lo habia arreglado.

Versión 0.0.2 a 01-08-2008. Correguido una errata gracias a JoeTux y añadido la nueva version 173.14.12

http://www.subirimagen.es/08/0801/20...stantanea1.png

JoeTux 02-ago-2008 17:41

No estaria mal una opción -d --download :scratchch para la versión 0.0.2

Saludos

DiabloRojo 02-ago-2008 20:29

Versión 0.0.3 a 02-08-2008. Añadido otra lectura de la ultima versión del driver e Introducida una nueva opción en el script para descargar el driver gracias a JoeTux por las ideas.

http://i35.tinypic.com/fbg48p.png


La franja horaria es GMT +2. Ahora son las 17:48.

Powered by vBulletin™
Copyright © vBulletin Solutions, Inc. All rights reserved.


Esta página está bajo una licencia de Creative Commons, salvo que no se indique lo contrario.
Creative Commons License

Valid CSS!